<template>
  <main>
    <LayoutContainer>
      <v-card class="mb-5">
        <v-form
          ref="form"
          lazy-validation
        >
          <v-btn class="mr-4 ot_green ot_white--text" @click="">
            {{ $t('generate') }}
          </v-btn>
        </v-form>
      </v-card>
    </LayoutContainer>
  </main>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import { Repository as VuexRepository } from '@vuex-orm/core/dist/src/repository/Repository'
import { Query, Model } from '@vuex-orm/core'
import { repositoryHelper } from '~/services/store/repository'
import {LicenceCmfOrganizationER} from "~/models/Export/LicenceCmfOrganizationER";

export default defineComponent({
  setup() {
    const repository: VuexRepository<Model> = repositoryHelper.getRepository(LicenceCmfOrganizationER)
    const query: Query = repository.query()

    return {
      model: LicenceCmfOrganizationER,
      query,
    }
  },
  beforeDestroy: function () {
    repositoryHelper.cleanRepository(LicenceCmfOrganizationER)
  }
})
</script>
